prefix = @prefix@
INSTALL_BINDIR	= $(prefix)/bin
INSTALL_LIBDIR	= $(prefix)/lib
INSTALL_MANDIR 	= $(prefix)/man

CC		= @CC@
INSTALL		= @INSTALL@
INSTALL_BIN 	= @INSTALL_PROGRAM@
INSTALL_FILE 	= @INSTALL_DATA@
RANLIB		= @RANLIB@

DEBUG 		= $(DEBUG_TOP) #-O #-g #-DDEBUG
CFLAGS 		= $(DEBUG)
PROGS 		= ps2txt-1.2 ps2txt-2.0 ps2txt-2.1

all: ps2txt-2.1

ps2txt-1.2: ps2txt-1.2.o
	$(CC) -o $@ $@.o

ps2txt-2.0: ps2txt-2.0.o
	$(CC) -o $@ $@.o

ps2txt-2.1: ps2txt-2.1.o
	$(CC) -o $@ $@.o

clean:
	-rm core *.o $(PROGS)

realclean:	clean
	-rm -f Makefile

install: all
	$(INSTALL_BIN) ps2txt-2.1 $(INSTALL_LIBDIR)/gatherer
